
#include "../include/table_definition.h"
#include "../include/file_path.h"
#include <oosxl.hxx>

#include <iostream>


using namespace oo;

void table_definition()
{
    Document* doc = create_document();
    Workbook* wb = doc->get_workbook();
    Worksheet* ws = wb->add_worksheet("table definition");

    Tabledef* td = ws->add_tabledef("MyTableList", 3, 3, 10, 10);
    td->set_display_total();

    auto path = target_file("table definition.xlsx");
    if (!doc->save(path.string().c_str()))
        std::cout << "Error saving file: " << run_msg() << std::endl;

    doc->release();
}

